%global packname  backports
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          1.1.2
Release:          2%{?dist}
Summary:          Reimplementations of Functions Introduced Since R-3.0.0

License:          GPLv2
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-utils
# Suggests:
# LinkingTo:
# Enhances:

Requires:         R-utils

BuildRequires:    R-devel tex(latex)
BuildRequires:    R-utils

%description
Implementations of functions which have been introduced in R since version
3.0.0. The backports are conditionally exported which results in R
resolving the function names to the version shipped with R (if available)
and uses the implemented backports as fallback. This way package
developers can make use of the new functions without worrying about the
minimum required R version.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/libs


%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Dec 18 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.1.2-1
- Update to latest version.

* Thu Nov 09 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.1.1-1
- initial package for Fedora
